Package org.eclipse.viatra.transformation.evm.specific.event

## Class ViatraQueryEventRealm

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.event.ViatraQueryEventRealm

- All Implemented Interfaces:
    `EventRealm`

      public class ViatraQueryEventRealm
      extends java.lang.Object
      implements EventRealm

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ViatraQueryEventRealm​(ViatraQueryEngine engine)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ViatraQueryEventRealm` | `create​(ViatraQueryEngine engine)` |
    `protected <Match extends IPatternMatch> ViatraQueryEventSource<Match>` | `createSource​(EventSourceSpecification<Match> sourceSpecification)` |
    `static <Match extends IPatternMatch> ViatraQueryEventSourceSpecification<Match>` | `createSourceSpecification​(IQuerySpecification<? extends ViatraQueryMatcher<Match>> factory)` |
    `ViatraQueryEngine` | `getEngine()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViatraQueryEventRealm

          protected ViatraQueryEventRealm​(ViatraQueryEngine engine)

  - ### Method Detail

    - #### getEngine

          public ViatraQueryEngine getEngine()

    - #### createSource

          protected <Match extends IPatternMatch> ViatraQueryEventSource<Match> createSource​(EventSourceSpecification<Match> sourceSpecification)

    - #### create

          public static ViatraQueryEventRealm create​(ViatraQueryEngine engine)

    - #### createSourceSpecification

          public static <Match extends IPatternMatch> ViatraQueryEventSourceSpecification<Match> createSourceSpecification​(IQuerySpecification<? extends ViatraQueryMatcher<Match>> factory)